import React from 'react';
import { OutlineVariant, PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type InputContainerProps = React.PropsWithChildren<PropsWithMetadata<{
    /** Sets a class name to the component's root element */
    className?: string;
    /** Disables the input element */
    disabled?: boolean;
    /** Allows providing a custom class name to the input element */
    inputClassName?: string;
    /** Sets the color of the input's border */
    outline?: OutlineVariant;
    /** Focuses the underlying input element */
    focused?: boolean;
    /** Specifies the font style of the input */
    fontStyle?: 'regular' | 'mono';
    /** Renders the passed element on the left side of the input */
    prefix?: React.ReactNode;
    /** Applies the specified style to the prefix element's container */
    prefixVariant?: 'opaque' | 'transparent';
    /** Renders the passed element on the right side of the input */
    suffix?: React.ReactNode;
}>>;
declare const InputContainer: ({ children, className, disabled, focused, fontStyle, inputClassName, metadata, outline, prefix, prefixVariant, suffix, }: InputContainerProps) => JSX.Element;
export default InputContainer;
